Subject: Re: Bad sky2 interrupt handling?

From: Stephen Hemminger <[email-masked]>
Date: Thu, 16 Jul 2009 16:37:27 -0700

On Thu, 16 Jul 2009 16:25:52 -0700
Jesse Barnes <[email-masked]> wrote:

> I was debugging what I thought was a graphics driver problem today (some
> page flipping code I'm working on was only flipping at about 10Hz
> rather than ~60Hz) but it appears it's actually due to a bad
> interaction with the Marvell 88E8036 controller on this machine.
> 
> MSI fails on this box (haven't looked too much at why yet), so the i915
> driver shares an interrupt with USB, firewire, sdhci and the NIC.
> 
> Is sky2 the wrong driver to be using here?  Or is there some way of
> reducing its overhead when (presumably) it doesn't have anything to do?

No, that is the right driver.  If MSI fails, does the driver still think
it can use MSI?

--